## org.apache.maven.shared.repository
Interface RepositoryAssembler

All Known Implementing Classes:
  DefaultRepositoryAssembler

    public interface RepositoryAssembler

Author:
  Jason van Zyl

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`void` `buildRemoteRepository(java.io.File repositoryDirectory, RepositoryInfo repository, RepositoryBuilderConfigSource configSource)`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### buildRemoteRepository

    void buildRemoteRepository(java.io.File repositoryDirectory,
                               RepositoryInfo repository,
                               RepositoryBuilderConfigSource configSource)
                               throws RepositoryAssemblyException

  Throws:
    `RepositoryAssemblyException`

Copyright © 2011. All Rights Reserved.